const IS_FIREFOX = (typeof chrome === "undefined");
const IS_CHROME = (typeof browser === "undefined");

const extensionIdElement = document.getElementById("property-extension-id");
const extensionId = extensionIdElement.dataset.value;
console.log(`Extension id: ${extensionId}`);

if (typeof netflix === "undefined" || !netflix) {
    console.log("Netflix object doesn't exist yet.");
} else {
    console.log("Trying to get auth url and build identifier...");
    let authUrl = netflix.reactContext.models.userInfo.data.authURL;
    let buildIdentifier = netflix.reactContext.models.serverDefs.data.BUILD_IDENTIFIER;

    const message1Object = {type: `setAuthUrl`, authUrl};
    if(IS_FIREFOX) browser.runtime.sendMessage(extensionId, message1Object);
    if(IS_CHROME) chrome.runtime.sendMessage(extensionId, message1Object);
    console.log(`Sent auth url (${authUrl})`);

    const message2Object = {type: `setBuildIdentifier`, buildIdentifier};
    if(IS_FIREFOX) browser.runtime.sendMessage(extensionId, message2Object);
    if(IS_CHROME) chrome.runtime.sendMessage(extensionId, message2Object);
    console.log(`Sent build identifier (${buildIdentifier})`);
}
