const IS_FIREFOX = (typeof chrome === "undefined");
const IS_CHROME = (typeof browser === "undefined");

let init = async () => {
	let backendInput = document.getElementById("backend");
	let saveButton = document.getElementById("saveButton");

	if (IS_FIREFOX) backendInput.value = (await browser.storage.local.get("backend")).backend;
	if (IS_CHROME) backendInput.value = await new Promise(resolve => {
		chrome.storage.local.get("backend", result => {
			resolve(result.backend);
		})
	});

	saveButton.onclick = () => {
		const setLocalObject = {
			backend: backendInput.value
		};

		if (IS_FIREFOX) browser.storage.local.set(setLocalObject);
		if (IS_CHROME) chrome.storage.local.set(setLocalObject);
	}
}

init();
